Subject: Re: [iccrg] Multiplicative decrease during CA and other comments

From: Vidhi Goel <[email-masked]>
Date: Sun, 01 Nov 2020 20:48:12 -0800

Hello Authors,

I have some new additional comments:

1.  The draft mentions that slow start (except the initial) is bounded by ssthresh. I think this is risky as the competing traffic could increase the queuing delay and LEDBAT++ shouldn’t add more than the TARGET. 
To solve this, LEDBAT++ could simply check if queuing delay is below TARGET to stay in slow start.

-----------------------------------

2. I think there is a small typo in the draft,

However, large values of GAIN do not work well on long delay links. ------> However, small values of GAIN ..

------------------

3. Another area that would be interesting to explore is to set the TARGET value dynamically. A simple suggestion is to make it a function of base RTT.
Currently, a flow with 1ms RTT and another flow with 100ms RTT - both will fill up the queues up to 60ms i.e. 1ms flow can increase the queuing delay to 60 times the link RTT whereas 100ms flow can only increase queuing delay to 0.6 times.
I think higher RTT should permit more queuing than lower RTT.

Although the GAIN formula ensures that the cwnd growth is proportional to base RTT, but the state machine of the congestion controller is still based on TARGET, i.e. exiting from slow start, doing AI vs MD.

Please let me know what you think about these suggestions.

Thanks,
VIdhi

> On Sep 16, 2020, at 7:43 PM, Vidhi Goel <vidhi_goel=[email-masked]> wrote:
> 
> Hello Authors,
> 
> The improvements in LEDBAT++ over LEDBAT look very promising esp. with regards to a LBE slow start and Multiplicative decrease.
> 
> With regards to Multiplicative decrease, i.e.
> W += max( (GAIN - Constant * W * (delay/target - 1)), -W/2) )
> 
> I think GAIN in this formula is not necessary as it is a factor between 0 and 1 and doesn’t make much difference. I tried to re-write this formula to something like this:
> W -= min(Constant * W * (delay/target - 1)), W/2) )
> 
> Let me know what you think about it.
> 
> 
> A minor comment on the below text, I think it should be `the per RTT window when the delay ..`
> 
> `In LEDBAT++, with multiplicative decrease, the per RTT window delay
>    is higher than target is:`
> 
> 
> I plan to implement LEDBAT++ and will provide more feedback accordingly.
> 
> Thanks,
> Vidhi
> _______________________________________________
> iccrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/iccrg